import UIKit
import AVFoundation

var audio = AVAudioPlayer()

class ViewController: UIViewController {

    override func viewDidLoad() {
        
        super.viewDidLoad()
     
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
       
    }
    func playSound(){
        guard let url = Bundle.main.url(forResource: "notificate", withExtension: "mp3") else {
            
            print("The file you try to play does not exist.")
            return
        }
        do {
            
            try AVAudioSession.sharedInstance().setCategory(AVAudioSessionCategoryPlayback)
            try AVAudioSession.sharedInstance().setActive(true)
            audio = try AVAudioPlayer(contentsOf: url, fileTypeHint: AVFileTypeMPEGLayer3)
            audio.prepareToPlay()
            audio.play()
        } catch let error as NSError {
            
            print(error)
            
        }
        
    }
    @IBOutlet weak var labelToBechanged: UILabel!

    
    @IBAction func changer(_ sender: Any) {
        labelToBechanged.textColor = UIColor.darkGray
        labelToBechanged.text = "Hello, Everyone!!"
        playSound()
        
        let alertController = UIAlertController(title: "Hi there, just so you know...", message: "Our application has been updated to support the brand new iPhone X. You can download the update on the App Store.", preferredStyle: UIAlertControllerStyle.alert)
        
        let action = UIAlertAction(title: "Dismiss", style: .default, handler: nil)
        alertController.addAction(action)
        
        self.present(alertController, animated: true, completion: nil)

    }
    

}
